Generate LOA PDF for hand-signing
curl --request POST \
--url https://api.revdesk.com/v1/caller-trust/enterprise/generate-loa \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signer_full_name": "<string>",
"signer_email": "jsmith@example.com",
"signer_title": "<string>"
}
'import requests
url = "https://api.revdesk.com/v1/caller-trust/enterprise/generate-loa"
payload = {
"signer_full_name": "<string>",
"signer_email": "jsmith@example.com",
"signer_title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signer_full_name: '<string>',
signer_email: 'jsmith@example.com',
signer_title: '<string>'
})
};
fetch('https://api.revdesk.com/v1/caller-trust/enterprise/generate-loa', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pdf_base64": "<string>",
"filename": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Enterprise Registration
Generate LOA PDF for hand-signing
Generates a Letter of Authorization PDF pre-filled with enterprise data and a blank hand-signature line. Enterprise must have been submitted to the carrier first (has carrier_enterprise_id).
POST
/
v1
/
caller-trust
/
enterprise
/
generate-loa
Generate LOA PDF for hand-signing
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.
Body
application/json
Response
Success
Show child attributes
Show child attributes
⌘I